> ## Documentation Index
> Fetch the complete documentation index at: https://agent-docs.nineteen58.co.za/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Prompt



## OpenAPI

````yaml PUT /public-api/prompts/{id}
openapi: 3.0.0
info:
  title: Agents Public API
  version: '1.0'
  description: REST API for managing contacts, campaigns, and conversations
  termsOfService: https://agents.nineteen58.co.za/terms
  contact:
    name: API Support
    url: https://agents.nineteen58.co.za/support
    email: support@nineteen58.co.za
servers:
  - url: https://agents.nineteen58.co.za
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /public-api/prompts/{id}:
    put:
      tags:
        - Prompts
      summary: Update a prompt (full update)
      operationId: putpublicapipromptsid
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - prompt
              properties:
                name:
                  type: string
                prompt:
                  type: string
                agent_id:
                  type: string
                  format: uuid
                is_global:
                  type: boolean
                goal:
                  type: string
                flow:
                  type: string
                tool_use_rules:
                  type: string
                background:
                  type: string
                persona:
                  type: string
                outcomes_json:
                  type: object
                example_conversation:
                  type: string
                outcomes:
                  type: string
      responses:
        '200':
          description: Prompt updated successfully
        '400':
          description: Invalid input
        '404':
          description: Prompt not found
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````